# Module NotesHelper

- app/helpers/notes_helper.rb

Methods

L
  - link_to_commit_diff_line_note,
  - loading_more_notes?,
  - loading_new_notes?
N
  - note_for_main_target?

Instance Public methods
link_to_commit_diff_line_note(note) Link

Source: show

    # File app/helpers/notes_helper.rb, line 15
    def link_to_commit_diff_line_note(note)
      commit = note.noteable
      diff_index, diff_old_line, diff_new_line = note.line_code.split('_')

      link_file = commit.diffs[diff_index.to_i].new_path
      link_line = diff_new_line

      link_to "#{link_file}:L#{link_line}", project_commit_path(@project, commit, anchor: note.line_code)
    end

loading_more_notes?() Link

Source: show

    # File app/helpers/notes_helper.rb, line 2
    def loading_more_notes?
      params[:loading_more].present?
    end

loading_new_notes?() Link

Source: show

    # File app/helpers/notes_helper.rb, line 6
    def loading_new_notes?
      params[:loading_new].present?
    end

note_for_main_target?(note) Link

Helps to distinguish e.g. commit notes in mr notes list

Source: show

    # File app/helpers/notes_helper.rb, line 11
    def note_for_main_target?(note)
      !@mixed_targets || @main_target_type == note.noteable_type
    end